> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer gift cards

> Get customer gift cards



## OpenAPI

````yaml GET /customers/{id}/rewards/gift-cards
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /customers/{id}/rewards/gift-cards:
    get:
      description: Get customer gift cards
      parameters:
        - in: path
          name: id
          description: The customer unique identifier in your system
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/GiftCard'
components:
  schemas:
    GiftCard:
      type: object
      required:
        - code
        - reward_id
        - customer_id
        - rewarded_at
      properties:
        code:
          type: string
          description: The gift card code to use in the store
        description:
          type: string
          description: The gift card description
        reward_id:
          type: string
          description: The reward id of the gift card
          format: uuid
        customer_id:
          type: string
          description: The customer id that owns the gift card
          format: uuid
        expired_at:
          type: string
          description: The expiration date of the gift card
          format: date-time
          nullable: true
        rewarded_at:
          type: string
          description: The date when the gift card was issued to a customer
          format: date-time
        redeemed_at:
          type: string
          description: The date when the gift card was redeemed
          format: date-time
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````